#!/bin/sh

MAILING_LIST="security"

HOSTNAME_CMD=/bin/hostname
DATE_CMD=/bin/date
MAILX_CMD=/usr/bin/mailx
AWK_CMD=/usr/bin/awk
SWATCH_CMD=/usr/local/adm/bin/swatch
CAT_CMD=/bin/cat

POST_PROCESSING_DIR=/usr/local/adm/pkg/tiger/tiger-2.2.3/post-processing

HOSTNAME="`$HOSTNAME_CMD`"
DATE="`$DATE_CMD '+%Y-%m-%d %H:%M:%S'`"

SWATCH_FILTER=$POST_PROCESSING_DIR/swatch.tiger.secrep.unicos.filter.$HOSTNAME
LINE_IZE_SCRIPT=$POST_PROCESSING_DIR/line-ize.awk
REMOVE_IZE_SCRIPT=$POST_PROCESSING_DIR/remove-ize.awk
UNLINE_IZE_SCRIPT=$POST_PROCESSING_DIR/unline-ize.awk.$HOSTNAME
HEADER=$POST_PROCESSING_DIR/mail-header.txt

REMOVE_ONE="$SWATCH_CMD -c $SWATCH_FILTER"
SECTION="$AWK_CMD -f $LINE_IZE_SCRIPT"
REMOVE_MANY="$AWK_CMD -f $REMOVE_IZE_SCRIPT"
JOIN="$AWK_CMD -f $UNLINE_IZE_SCRIPT"
ADD_HEADER="$CAT_CMD $HEADER -"

# break report up into sections (line-ize),
# remove known unimportant single-line conditions (swatch_filter),
# remove unimportant or rewrite multi-line conditions (remove-ize),
# remove unimportant rewritten events, and remove sections (unline-ize).
#
# Mail out resulting report.
# 
$REMOVE_ONE -p "$SECTION $1" | $REMOVE_MANY | $JOIN | $ADD_HEADER | $MAILX_CMD -s "tiger report: $HOSTNAME $DATE" $MAILING_LIST
